{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 3,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicGetSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 3,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getDefault()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicGetOwnedParameteredElement()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getOwnedParameteredElement()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicGetDefault()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getOwnedDefault()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 3,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicGetOwnedDefault()Lorg/eclipse/uml2/uml/ParameterableElement;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.getSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 3
  }
}